summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Ogden <bernie.ogden@linaro.org>2016-03-04 16:16:32 +0000
committerBernard Ogden <bernie.ogden@linaro.org>2016-03-04 16:18:54 +0000
commita1ca1d0db301110697cbff850b97b1c13f10f783 (patch)
tree864e5f77c2d80fcad060ed50f1641bb6d2cc0a84
Minimalish reproducer?
Change-Id: Ie001523c15ec7c56d0cd431bed977fa7ebe1796f
-rw-r--r--def.json57
-rwxr-xr-xhost-session19
-rw-r--r--host-session.yaml9
-rwxr-xr-xtarget-session12
-rw-r--r--target-session.yaml9
5 files changed, 106 insertions, 0 deletions
diff --git a/def.json b/def.json
new file mode 100644
index 0000000..d716d42
--- /dev/null
+++ b/def.json
@@ -0,0 +1,57 @@
+{
+ "timeout": 1800,
+ "device_group": [
+ {
+ "count": 1,
+ "role": "host",
+ "device_type": "kvm"
+ },
+ {
+ "count": 1,
+ "role": "target-kvm",
+ "device_type": "kvm"
+ }
+ ],
+ "actions": [
+ {
+ "command": "deploy_linaro_image",
+ "parameters": {
+ "image": "http://images.validation.linaro.org/ubuntu-14-04-server-base.img.gz"
+ }
+ },
+ {
+ "command": "lava_test_shell",
+ "parameters": {
+ "role": "host",
+ "timeout": 1800,
+ "testdef_repos": [
+ {
+ "testdef": "host-session.yaml",
+ "git-repo": "https://git.linaro.org/people/bernie.ogden/multinode-repro"
+ }
+ ]
+ }
+ },
+ {
+ "command": "lava_test_shell",
+ "parameters": {
+ "role": "target-kvm",
+ "timeout": 1800,
+ "testdef_repos": [
+ {
+ "testdef": "host-session.yaml",
+ "git-repo": "https://git.linaro.org/people/bernie.ogden/multinode-repro"
+ }
+ ]
+ }
+ },
+ {
+ "command": "submit_results",
+ "parameters": {
+ "stream": "/anonymous/bogden/",
+ "server": "https://validation.linaro.org/RPC2/"
+ }
+ }
+ ],
+ "job_name": "multinode-repro"
+}
diff --git a/host-session b/host-session
new file mode 100755
index 0000000..a5eaf5c
--- /dev/null
+++ b/host-session
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -eux
+set -o pipefail
+
+echo "About to broadcast eth0"
+lava-network broadcast eth0
+echo "About to collect eth0"
+lava-network collect eth0
+echo "About to query"
+ip_addr="$(lava-network query `lava-group | grep '[[:blank:]]\+host$' | awk '{print $1}'` ipv4)"
+echo "ip_addr='${ip_addr}'"
+echo "Getting other addresses"
+for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk '{print $1}'`; do
+ echo "Getting address for '${lava_name}'"
+ target_ip="$(lava-network query ${lava_name} ipv4)"
+ echo "Got '${target_ip}' for '${lava_name}'"
+ echo "Waiting for config_${lava_name}"
+ lava-wait "config_${lava_name}"
+done
diff --git a/host-session.yaml b/host-session.yaml
new file mode 100644
index 0000000..28ca99e
--- /dev/null
+++ b/host-session.yaml
@@ -0,0 +1,9 @@
+metadata:
+ name: host-session
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Benchmarking Session"
+ version: 1.0
+
+run:
+ steps:
+ - ./host-session
diff --git a/target-session b/target-session
new file mode 100755
index 0000000..c4e2fcb
--- /dev/null
+++ b/target-session
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -uex
+set -o pipefail
+
+echo "About to broadcast eth0"
+lava-network broadcast eth0
+echo "About to identify self"
+self="`lava-self`"
+echo "Self identified as '${self}'"
+echo "About to send 'config_${self}'"
+lava-send "config_${self}" "config=config_${RANDOM}"
+echo "Sent 'config_${self}'"
diff --git a/target-session.yaml b/target-session.yaml
new file mode 100644
index 0000000..7b5968a
--- /dev/null
+++ b/target-session.yaml
@@ -0,0 +1,9 @@
+metadata:
+ name: bench-session
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Benchmarking Session"
+ version: 1.0
+
+run:
+ steps:
+ - ./config/bench/lava/target-session